{
  lib,
  python3,
  fetchPypi,
}:

python3.pkgs.buildPythonApplication rec {
  pname = "kicad-skip";
  version = "0.2.5";
  pyproject = true;

  src = fetchPypi {
    inherit pname version;
    hash = "sha256-3GtHIV2h6C8syFZ/Dx6OWsgpf14ZQdlnGS4EM4DgjIM=";
  };

  build-system = [
    python3.pkgs.setuptools
  ];

  dependencies = with python3.pkgs; [
    sexpdata
  ];

  pythonImportsCheck = [
    "kicad_skip"
  ];

  meta = {
    description = "A friendly way to skip the drudgery and manipulate kicad 7+ s-expression schematic, netlist and PCB files";
    homepage = "https://pypi.org/project/kicad-skip/";
    license = lib.licenses.lgpl21Only;
    mainProgram = "kicad-skip";
  };
}
